Does xTuple support MacOS Catalina?

Yes, if you are running xTuple version 4.10.x or newer, MacOS 10.15 (a.k.a. Catalina) is supported. However, you may run into conflicts with versions of xTuple prior to 4.10.x.

TIP: To resolve Catalina conflicts with xTuple versions older than 4.10.x, you need to whitelist the xTuple app under the security section of your system preferences. This should resolve any issues.

The reason for the conflicts between older versions of xTuple and Catalina is that xTuple 4.10.x is the first Mac client series to be built using 64-bit architecture. Catalina requires applications to be 64-bit. xTuple Mac clients prior to 4.10.x were built with 32-bit architecture.